#pragma once
#include "Entity.h"
#include "EntityStateSplash.h"
#define CS_ENEMY_CROW_CREATENAME L"CS_enemy_crow"
class CS_Enemy_Crow :
    public Entity
{
public:
    CS_Enemy_Crow();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    EntityStateSplash stateSplash;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
    int count1 = 0;
    float tgt_x = 0;
    float tgt_y = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_Crow();